Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

## Class TaxAuthorisation1

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_001_12.TaxAuthorisation1

    public class TaxAuthorisation1
    extends java.lang.Object

Java class for TaxAuthorisation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TaxAuthorisation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Titl" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max35Text" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `nm`
`protected java.lang.String` `titl`

### Constructor Summary

Constructors
`TaxAuthorisation1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getNm()` Gets the value of the nm property.
`java.lang.String` `getTitl()` Gets the value of the titl property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setTitl​(java.lang.String value)` Sets the value of the titl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### titl

    protected java.lang.String titl

#### nm

    protected java.lang.String nm

### Constructor Detail

#### TaxAuthorisation1

    public TaxAuthorisation1()

### Method Detail

#### getTitl

    public java.lang.String getTitl()

Gets the value of the titl property.

Returns:
  possible object is `String`

#### setTitl

    public void setTitl​(java.lang.String value)

Sets the value of the titl property.

Parameters:
  `value` - allowed object is `String`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`